Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593736 - aoe device PVs show up as block major/minor numbers
aoe device PVs show up as block major/minor numbers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Alasdair Kergon
Corey Marthaler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 11:28 EDT by Corey Marthaler
Modified: 2010-11-10 16:07 EST (History)
9 users (show)

See Also:
Fixed In Version: lvm2-2.02.68-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:07:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
-vvvv from the an aoe pvscan (56.43 KB, text/plain)
2010-05-24 14:45 EDT, Corey Marthaler
no flags Details

  None (edit)
Description Corey Marthaler 2010-05-19 11:28:41 EDT
Description of problem:
[root@hayes-01 ~]# cat /proc/partitions
major minor  #blocks  name

   8        0   78125000 sda
   8        1     512000 sda1
   8        2   77611008 sda2
 253        0   36999168 dm-0
 253        1   10354688 dm-1
 253        2   30253056 dm-2
 152      272 9523468862 etherd/e1.1
 152      273 1904693765 etherd/e1.1p1
 152      274 1904693765 etherd/e1.1p2
 152      275 1904693766 etherd/e1.1p3
 152      276 1904693766 etherd/e1.1p4
 152      277 1904693766 etherd/e1.1p5

[root@hayes-01 ~]# pvscan
  PV /dev/block/152:273   VG mirror_sanity   lvm2 [1020.00 MiB / 1020.00 MiB free]
  PV /dev/block/152:274   VG mirror_sanity   lvm2 [1020.00 MiB / 1020.00 MiB free]
  PV /dev/block/152:275   VG mirror_sanity   lvm2 [1020.00 MiB / 1020.00 MiB free]
  PV /dev/block/152:276   VG mirror_sanity   lvm2 [1020.00 MiB / 1020.00 MiB free]
  PV /dev/block/152:277   VG mirror_sanity   lvm2 [1020.00 MiB / 1020.00 MiB free]

[root@hayes-01 ~]# pvs
  PV                 VG            Fmt  Attr PSize    PFree   
  /dev/block/152:273 mirror_sanity lvm2 a-   1020.00m 1020.00m
  /dev/block/152:274 mirror_sanity lvm2 a-   1020.00m 1020.00m
  /dev/block/152:275 mirror_sanity lvm2 a-   1020.00m 1020.00m
  /dev/block/152:276 mirror_sanity lvm2 a-   1020.00m 1020.00m
  /dev/block/152:277 mirror_sanity lvm2 a-   1020.00m 1020.00m

Version-Release number of selected component (if applicable):
2.6.32-24.el6.x86_64

lvm2-2.02.64-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
lvm2-libs-2.02.64-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
lvm2-cluster-2.02.64-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
device-mapper-1.02.47-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
device-mapper-libs-1.02.47-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
device-mapper-event-1.02.47-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010
device-mapper-event-libs-1.02.47-1.el6    BUILT: Fri Apr 30 13:37:53 CDT 2010


How reproducible:
Everytime
Comment 1 RHEL Product and Program Management 2010-05-19 11:35:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Corey Marthaler 2010-05-24 14:44:25 EDT
How can we get this reversed?

#device/dev-cache.c:259         /dev/etherd/e1.1: Aliased to /dev/block/152:272 in device cache
#device/dev-cache.c:247         /dev/etherd/e1.1p1: Already in device cache
#device/dev-cache.c:247         /dev/etherd/e1.1p2: Already in device cache
#device/dev-cache.c:247         /dev/etherd/e1.1p3: Already in device cache
#device/dev-cache.c:247         /dev/etherd/e1.1p4: Already in device cache
#device/dev-cache.c:247         /dev/etherd/e1.1p5: Already in device cache
Comment 3 Corey Marthaler 2010-05-24 14:45:46 EDT
Created attachment 416195 [details]
-vvvv from the an aoe pvscan
Comment 4 Corey Marthaler 2010-05-24 17:38:51 EDT
LVM doesn't even allow the devices to be used the way they're displayed. Bumping the priority.

[root@hayes-01 ~]# pvscan
  PV /dev/block/152:279   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:278   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:277   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:276   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:275   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:274   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]
  PV /dev/block/152:273   VG centipede    lvm2 [1.27 TiB / 1.27 TiB free]

[root@hayes-01 ~]# lvcreate -m 1 -n mirror -L 300M centipede /dev/block/152:279 /dev/block/152:278 /dev/block/152:277
  Physical Volume "/dev/block/152" not found in Volume Group "centipede"
Comment 5 Alasdair Kergon 2010-05-24 18:40:16 EDT
That's a separate matter: The colon is part of the syntax for specifying extents and is not allowed in a PV name!  I think we may already have a bz for fixing the PV name character set, but if not, it should get one.
Comment 6 Alasdair Kergon 2010-05-24 18:54:48 EDT
Fixed upstream for 2.02.67.
Comment 7 Alasdair Kergon 2010-05-24 18:56:10 EDT
This bug I mean, not the PV naming thing.
Comment 8 Corey Marthaler 2010-06-25 16:49:03 EDT
Fix verified in the following build:

2.6.32-24.el6.x86_64

lvm2-2.02.68-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
lvm2-libs-2.02.68-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
lvm2-cluster-2.02.68-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
device-mapper-1.02.50-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
device-mapper-libs-1.02.50-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
device-mapper-event-1.02.50-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
device-mapper-event-libs-1.02.50-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
cmirror-2.02.68-1.el6    BUILT: Thu Jun 24 10:38:40 CDT 2010
Comment 9 releng-rhel@redhat.com 2010-11-10 16:07:52 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.